<template>
	<view>
		<image class="width90" mode="widthFix" src="../../static/img/unionimg/union1.jpg" @click="jumpunionpay"></image>
		<image class="width90" mode="widthFix" src="../../static/img/unionimg/union2.jpg"></image>

	</view>
</template>

<script>
	let app = getApp()
	export default {
		data() {
			return {
				
			}
		},
		onLoad(options) {
			uni.getStorage({
				key: "user",
				success(e) {
					app.globalData.userInfo = e.data //这就是你想要取的token
					uni.getStorage({
						key: 'token',
						success(e) {
							app.globalData.token = e.data;
						}
					})
				},
				fail: res => {}
			})
		},
		methods: {
			//发起支付
			topay(){
				upsdk.pluginReady(function() {	
					upsdk.pay({
						tn: '554191640461075760517',
						success: function(res) {
							// 支付成功, 开发者执行后续操作。
						},
						fail: function(err) {
							// 支付失败, err.msg 是失败原因描述, 比如TN号不合法, 或者用户取消了交易 等等。
						}
					});
				});
				
			},
			//跳转银联支付
			jumpunionpay() {
				uni.navigateTo({
					url: 'unionPay-entrance/unionPay-entrance'
				})
			}
		}
	}
</script>

<style>

</style>
